Patchwork Natty SRU (V2): UBUNTU: [Config] Add grub-efi as a recommended bootloader for server and generic

login
register
mail settings
Submitter Tim Gardner
Date June 23, 2011, 4:08 p.m.
Message ID <4E0364E6.9010102@canonical.com>
Download mbox | patch
Permalink /patch/101647/
State New
Headers show

Comments

Tim Gardner - June 23, 2011, 4:08 p.m.
It turns out that the recommended boot loader is first in the list, so 
in order to preserve the most common choice of grub-pc, swap the order 
of grub-pc and grub-efi from the previous patch.

rtg
Andy Whitcroft - June 23, 2011, 4:13 p.m.
On Thu, Jun 23, 2011 at 10:08:06AM -0600, Tim Gardner wrote:
> It turns out that the recommended boot loader is first in the list,
> so in order to preserve the most common choice of grub-pc, swap the
> order of grub-pc and grub-efi from the previous patch.
> 
> rtg
> -- 
> Tim Gardner tim.gardner@canonical.com

> From e6dc043e9e136f010326c548493bd7157445f9c0 Mon Sep 17 00:00:00 2001
> From: Tim Gardner <tim.gardner@canonical.com>
> Date: Thu, 23 Jun 2011 08:55:53 -0600
> Subject: [PATCH] UBUNTU: [Config] Add grub-efi as a recommended bootloader for server and generic
> 
> BugLink: http://bugs.launchpad.net/bugs/800910
> 
> Signed-off-by: Tim Gardner <tim.gardner@canonical.com>
> ---
>  debian.master/control.d/vars.generic |    2 +-
>  debian.master/control.d/vars.server  |    2 +-
>  2 files changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/debian.master/control.d/vars.generic b/debian.master/control.d/vars.generic
> index 200acfd..8921940 100644
> --- a/debian.master/control.d/vars.generic
> +++ b/debian.master/control.d/vars.generic
> @@ -2,5 +2,5 @@ arch="i386 amd64"
>  supported="Generic"
>  target="Geared toward desktop systems."
>  desc="x86/x86_64"
> -bootloader="grub-pc | grub | lilo (>= 19.1)"
> +bootloader="grub-pc | grub-efi | grub | lilo (>= 19.1)"

Looks good to me.

Acked-by: Andy Whitcroft <apw@canonical.com>

>  provides="kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9"
> diff --git a/debian.master/control.d/vars.server b/debian.master/control.d/vars.server
> index 0f1e41c..80791f1 100644
> --- a/debian.master/control.d/vars.server
> +++ b/debian.master/control.d/vars.server
> @@ -2,5 +2,5 @@ arch="amd64"
>  supported="Server"
>  target="Geared toward 64 bit server systems."
>  desc="x86_64"
> -bootloader="grub-pc | grub | lilo (>= 19.1)"
> +bootloader="grub-pc | grub-efi | grub | lilo (>= 19.1)"
>  provides="redhat-cluster-modules, kvm-api-4, ivtv-modules, ndiswrapper-modules-1.9"

-apw

Patch

From e6dc043e9e136f010326c548493bd7157445f9c0 Mon Sep 17 00:00:00 2001
From: Tim Gardner <tim.gardner@canonical.com>
Date: Thu, 23 Jun 2011 08:55:53 -0600
Subject: [PATCH] UBUNTU: [Config] Add grub-efi as a recommended bootloader for server and generic

BugLink: http://bugs.launchpad.net/bugs/800910

Signed-off-by: Tim Gardner <tim.gardner@canonical.com>
---
 debian.master/control.d/vars.generic |    2 +-
 debian.master/control.d/vars.server  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/debian.master/control.d/vars.generic b/debian.master/control.d/vars.generic
index 200acfd..8921940 100644
--- a/debian.master/control.d/vars.generic
+++ b/debian.master/control.d/vars.generic
@@ -2,5 +2,5 @@  arch="i386 amd64"
 supported="Generic"
 target="Geared toward desktop systems."
 desc="x86/x86_64"
-bootloader="grub-pc | grub | lilo (>= 19.1)"
+bootloader="grub-pc | grub-efi | grub | lilo (>= 19.1)"
 provides="kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9"
diff --git a/debian.master/control.d/vars.server b/debian.master/control.d/vars.server
index 0f1e41c..80791f1 100644
--- a/debian.master/control.d/vars.server
+++ b/debian.master/control.d/vars.server
@@ -2,5 +2,5 @@  arch="amd64"
 supported="Server"
 target="Geared toward 64 bit server systems."
 desc="x86_64"
-bootloader="grub-pc | grub | lilo (>= 19.1)"
+bootloader="grub-pc | grub-efi | grub | lilo (>= 19.1)"
 provides="redhat-cluster-modules, kvm-api-4, ivtv-modules, ndiswrapper-modules-1.9"
-- 
1.7.0.4